summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--package/adk-test-tools/Makefile2
-rwxr-xr-xpackage/adk-test-tools/files/test.init5
-rw-r--r--toolchain/gcc/Makefile2
3 files changed, 7 insertions, 2 deletions
diff --git a/package/adk-test-tools/Makefile b/package/adk-test-tools/Makefile
index 0a60c5056..c92f0b378 100644
--- a/package/adk-test-tools/Makefile
+++ b/package/adk-test-tools/Makefile
@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= adk-test-tools
PKG_VERSION:= 0.1
-PKG_RELEASE:= 3
+PKG_RELEASE:= 4
PKG_DESCR:= helper tools and scripts for adk-test-framework
PKG_SECTION:= misc
PKG_URL:= http://openadk.org/
diff --git a/package/adk-test-tools/files/test.init b/package/adk-test-tools/files/test.init
index bb8fca527..bcff55c04 100755
--- a/package/adk-test-tools/files/test.init
+++ b/package/adk-test-tools/files/test.init
@@ -3,6 +3,11 @@
#INIT 90
[[ $1 = autostart ]] || exit 0
echo "Starting test script ..."
+grep shell /proc/cmdline > /dev/null 2&>1
+if [ $? -eq 0 ];then
+ echo "Use user root and password linux123 to login. And quit to finish."
+ exit 0
+fi
if [ -x /run.sh ];then
/run.sh
quit
diff --git a/toolchain/gcc/Makefile b/toolchain/gcc/Makefile
index 6f70bfd12..5595f82dd 100644
--- a/toolchain/gcc/Makefile
+++ b/toolchain/gcc/Makefile
@@ -28,7 +28,7 @@ GCC_CONFOPTS:= --prefix=$(TOOLCHAIN_DIR)/usr \
--disable-libstdcxx-pch \
--disable-ppl-version-check \
--disable-cloog-version-check \
- --without-system-zlib \
+ --with-system-zlib \
--without-ppl \
--without-cloog \
--without-isl \